% http://www.latex-community.org/forum/viewtopic.php?f=45&t=27286
% 4 Apr 2016

clear
clc

fileID = fopen('single_diode_surface.txt','r');
dataArray = textscan(fileID, '%f%f%f', 'Delimiter', '', 'WhiteSpace', '');
fclose(fileID);

% Rser = dataArray{1};
% n = dataArray{2};
Perr = dataArray{3};

Rser = 0:10:1000;
n = 1.0:0.01:2.0;
Perr = reshape(Perr, 101, 101);

contourf(1e3*Rser, n, Perr', 50);
grid on;

%--- end ---%